Subject: RE: DISCUSS: draft-ietf-netconf-beep

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 2 Mar 2006 10:36:13 -0800

+1

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Eliot Lear
> Sent: Thursday, March 02, 2006 1:13 PM
> To: Eliot Lear
> Cc: Brian E Carpenter; [email-masked]; [email-masked];
> [email-masked]; netconf
> Subject: Re: DISCUSS: draft-ietf-netconf-beep
> 
> 
> Eliot Lear wrote:
> 
> > No, my personal preference is to go with two capabilities.  Barring
> > objections from WG I will send proposed text later today.
> >   
> I'm sorry.  I needed a boot to the head.  Here is a method 
> that does not
> require two capabilities.
> 
> New text after 2.1p2:
> 
>     After all BEEP greeting messages are exchanged in order 
> for roles to
>     be clear,  the agent MUST advertise the NETCONF profile.  The
>     manager MUST NOT advertise the NETCONF profile.   If the 
> agent side
>     of the communication (either initiator or listener) 
> receives a BEEP
>     <greeting> element that contains the NETCONF profile, it 
> MUST close
>     the connection.  Similarly, if neither side issues a 
> NETCONF profile
>     it is equally an error, and the listener MUST close the 
> connection.
> 
> Discussion
> 
> No new profiles are needed using this scheme.
> 
> Eliot
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>